Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class TModelInfo

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TModelInfo

public class TModelInfo
extends Object

TModelInfo contains a collection of TModelKeys

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`TModelInfo()` Class constructor.

Method Summary
`Name` | `getName()` Gets the value of the name.
`String` | `getTModelKey()` Gets the value of the tModelKey.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(String value)` Sets the name string.
`void` | `setTModelKey(String value)` Sets the value of the tModel key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelInfo

    public TModelInfo()

  Class constructor.

Method Detail

### getName

    public Name getName()

  Gets the value of the name.

  Returns:
    the current value of the name.

### getTModelKey

    public String getTModelKey()

  Gets the value of the tModelKey.

  Returns:
    the current value of the tModelKey.

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### setName

    public void setName(String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### setTModelKey

    public void setTModelKey(String value)

  Sets the value of the tModel key.

  Parameters:
    `value` - the new value of the tModel key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD